import ReactDOM from 'react-dom';
import { animations, characters } from './constants';
export function generateHashStringByLength(length) {
    if (length === void 0) { length = 6; }
    var result = [];
    var charactersLength = characters.length;
    for (var i = 0; i < length; i++) {
        result.push(characters.charAt(Math.floor(Math.random() * charactersLength)));
    }
    return result.join('');
}
export function findDivByRef(element) {
    return ReactDOM.findDOMNode(element);
}
export function getAnimationType(path) {
    return animations[path];
}
var makeTimeToMillisecondString = function (number) { return number + "ms"; };
export function setAnimation(element, duration, delay, path) {
    element.style.animationDuration = makeTimeToMillisecondString(duration);
    element.style.animationDelay = makeTimeToMillisecondString(delay);
    element.style.animationName = getAnimationType(path);
}
export var endAnimation = function (element) { return function () {
    element.style.opacity = '1';
}; };
export function createKeyframes() {
    var style = document.createElement('style');
    style.type = 'text/css';
    var keyFrames = "@keyframes seog-scroll-animation-bottom-top {\n    from {\n      opacity: 0;\n      transform: translateY(120px);\n    }\n    to {\n      opacity: 1;\n      transform: none;\n    }\n  }\n\n  @keyframes seog-scroll-animation-top-bottom {\n    from {\n      opacity: 0;\n      transform: translateY(-120px);\n    }\n    to {\n      opacity: 1;\n      transform: none;\n    }\n  }\n\n  @keyframes seog-scroll-animation-right-left {\n    from {\n      opacity: 0;\n      transform: translateX(200px);\n    }\n    to {\n      opacity: 1;\n      transform: none;\n    }\n  }\n\n  @keyframes seog-scroll-animation-left-right {\n    from {\n      opacity: 0;\n      transform: translateX(-200px);\n    }\n    to {\n      opacity: 1;\n      transform: none;\n    }\n  }";
    style.innerHTML = keyFrames;
    document.getElementsByTagName('head')[0].appendChild(style);
}
//# sourceMappingURL=functions.js.map